aboutsummaryrefslogtreecommitdiffstats
path: root/ci/utility/collectd_get_sources.sh
diff options
context:
space:
mode:
authorTaras Chornyi <tarasx.chornyi@intel.com>2017-03-31 15:12:15 +0100
committerTaras Chornyi <tarasx.chornyi@intel.com>2017-04-12 11:37:51 +0100
commit7e1d4c9b55b6dfc8fbea6148e4e4f4a5b1b6d5cb (patch)
treec0914537aac65752f2d921adbd65f4fa7f808a6d /ci/utility/collectd_get_sources.sh
parent2e85fac22ef0d98731500c588a78c88984cea310 (diff)
Added scripts for building collectd RPM
Change-Id: I60a080ebc046af8683624d3c944690fe0e0961d8 Signed-off-by: Taras Chornyi <tarasx.chornyi@intel.com>
Diffstat (limited to 'ci/utility/collectd_get_sources.sh')
-rw-r--r--ci/utility/collectd_get_sources.sh29
1 files changed, 29 insertions, 0 deletions
diff --git a/ci/utility/collectd_get_sources.sh b/ci/utility/collectd_get_sources.sh
new file mode 100644
index 00000000..69108e4f
--- /dev/null
+++ b/ci/utility/collectd_get_sources.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Copyright 2017 Intel Corporation
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+source $DIR/package-list.sh
+
+bash $DIR/check_git_repo.sh $COLLECTD_DIR $COLLECTD_REPO
+if [[ $? != 0 ]]
+then
+ rm -rf $COLLECTD_DIR
+ git clone --branch $COLLECTD_BRANCH $COLLECTD_REPO $COLLECTD_DIR
+else
+ cd $COLLECTD_DIR
+ git reset HEAD --hard
+ git pull
+ git checkout -f $COLLECTD_BRANCH
+fi